import { axios } from '@/utils/request'

//  仓库调拨列表  分页
export const allocWarehouseList = (params) => {
  const url = `/allocWarehouse/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  仓库调拨详情列表  分页
export const allocWarehouseDetailList = (params) => {
  const url = `/allocWarehouse/queryDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 审核
export const allocWarehouseAudit = params => {
  return axios({
    url: '/allocWarehouse/audit',
    data: params,
    method: 'post'
  })
}
// 删除
export const allocWarehouseDelete = params => {
  return axios({
    url: `/allocWarehouse/delete/${params.id}`,
    method: 'get'
  })
}
// 库存调拨明细列表合计
export const allocWarehouseDetailTotal = params => {
  return axios({
    url: '/allocWarehouse/detail/queryCount',
    data: params,
    method: 'post'
  })
}
// 库存调拨明细列表
export const allocWarehouseDetailQuery = params => {
  const url = `/allocWarehouse/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 仓库调拨明细保存
export const allocWarehouseDetailSave = params => {
  return axios({
    url: '/allocWarehouse/detail/save',
    data: params,
    method: 'post'
  })
}
// 仓库调拨明细删除
export const allocWarehouseDetailDelete = params => {
  return axios({
    url: '/allocWarehouse/detail/delete',
    data: params,
    method: 'post'
  })
}
// 保存仓库调拨单
export const allocWarehouseSave = params => {
  return axios({
    url: '/allocWarehouse/save',
    data: params,
    method: 'post'
  })
}
// 选择产品
export const productQuery = params => {
  const url = `/stock/detail/queryStockProductPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 根据单据id查询单据基础信息
export const allocWarehouseFind = params => {
  const url = `/allocWarehouse/findById/${params.id}`
  delete params.id
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  仓库调拨单 详情  根据sn查
export const allocWarehouseDetailSn = (params) => {
  return axios({
    url: `/allocWarehouse/findBySn/${params.sn}`,
    method: 'get'
  })
}
// 提交
export const allocWarehouseSubmit = params => {
  return axios({
    url: '/allocWarehouse/submit',
    data: params,
    method: 'post'
  })
}
